//   AddAction.java --- Todo List

//   Copyright (C) 2003 Moise Valvassori <djedi@ai.univ-paris8.fr>

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.

//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.djedi.todolist.gui;
import javax.swing.Action;
import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeEvent;
import java.util.ArrayList;
import java.util.Iterator;
import javax.swing.ImageIcon;
/**
 *
 * @author "Moise Valvassori" <djedi@ai.univ-paris8.fr>
 * @version 1.0
 * @since Wed Feb  5 11:27:51 2003
 */
public class RemoveAction extends AbstractAction implements Action{
  private MainFrame mf;
  /**
   * Creates a new <code>AddAction</code> instance.
   *
   */
  public RemoveAction (MainFrame mf) {
    super(java.util.ResourceBundle.getBundle("org/djedi/todolist/gui/gui").getString("Remove"),
	  new ImageIcon(Class.class.getResource(java.util.ResourceBundle.getBundle("org/djedi/todolist/gui/gui").getString("/toolbarButtonGraphics/general/Remove16.gif"))));
    this.mf=mf;
  }

  public void actionPerformed(ActionEvent a) {
    mf.getTreeModel().remove(mf.getCurrentNode(),mf.getCurrentTreePath());
  }
}
